import { getConversation as publicGetConversation, getOrCreateConversation as publicGetOrCreateConversation } from './crm-inbox-v2-conversation-conversations.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onConversationConversationsMerged as publicOnConversationConversationsMerged } from './crm-inbox-v2-conversation-conversations.public.js';
export declare const getConversation: MaybeContext<BuildRESTFunction<typeof publicGetConversation> & typeof publicGetConversation>;
export declare const getOrCreateConversation: MaybeContext<BuildRESTFunction<typeof publicGetOrCreateConversation> & typeof publicGetOrCreateConversation>;
/**
 * Triggered when the conversation
 * is merged, for example when contacts are merged
 * or when a visitor becomes a contact.
 *
 * If messages exist in both conversations when they merge,
 * the messages are preserved in chronological order.
 */
export declare const onConversationConversationsMerged: ReturnType<typeof createEventModule<typeof publicOnConversationConversationsMerged>>;
export { ChannelType, SortOrder, WebhookIdentityType, } from './crm-inbox-v2-conversation-conversations.universal.js';
export { Conversation, IdentificationData, IdentificationDataIdOneOf, ConversationDisplayData, ConversationsMerged, GetConversationRequest, GetConversationResponse, GetOrCreateConversationRequest, ParticipantId, ParticipantIdIdOneOf, GetOrCreateConversationResponse, ListConversationsRequest, CursorPaging, Sorting, ListConversationsResponse, PagingMetadataV2, Cursors, DeleteConversationRequest, DeleteConversationResponse, AddConversationChannelsRequest, ConversationChannel, AddConversationChannelsResponse, ChatroomsMerged, Empty, ReadConversationRequest, ReadConversationResponse, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, WebhooksIdentificationData, WebhooksIdentificationDataIdOneOf, ConversationNonNullableFields, GetConversationResponseNonNullableFields, GetOrCreateConversationResponseNonNullableFields, BaseEventMetadata, EventMetadata, ConversationConversationsMergedEnvelope, } from './crm-inbox-v2-conversation-conversations.universal.js';
