import { renameKeysFromRESTResponseToSDKResponse } from '@wix/sdk-runtime/rename-all-nested-keys';
import { transformRESTTimestampToSDKTimestamp } from '@wix/sdk-runtime/transformations/timestamp';
import { transformPaths } from '@wix/sdk-runtime/transformations/transform-paths';
import { EventDefinition } from '@wix/sdk-types';
import { getConversation as universalGetConversation, getOrCreateConversation as universalGetOrCreateConversation, } from './crm-inbox-v2-conversation-conversations.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/inbox' };
export function getConversation(httpClient) {
    return (conversationId) => universalGetConversation(conversationId, 
    // @ts-ignore
    { httpClient });
}
export function getOrCreateConversation(httpClient) {
    return (participantId) => universalGetOrCreateConversation(participantId, 
    // @ts-ignore
    { httpClient });
}
export const onConversationConversationsMerged = EventDefinition('wix.crm.inbox.v2.conversation_conversations_merged', true, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
export { ChannelType, SortOrder, WebhookIdentityType, } from './crm-inbox-v2-conversation-conversations.universal.js';
//# sourceMappingURL=crm-inbox-v2-conversation-conversations.public.js.map